graph.followerarraygraph

## Class FollowerArrayGraphFactory

- java.lang.Object
- - graph.followerarraygraph.FollowerArrayGraphFactory

- All Implemented Interfaces:
    DirectedGraphFactory, GraphFactory, UndirectedGraphFactory

      public class FollowerArrayGraphFactory
      extends java.lang.Object
      implements GraphFactory

  Továrna na grafy.

  Popis: implementace polem následovníků umožňuje vytvářet jak orientované, tak i neorientované grafy

  Užití: instance této třídy lze používat v aplikacích

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FollowerArrayGraphFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectedGraph` | `createDirectedGraph(int VertexNr, int EdgeNr)` Vyrobí orientovaný graf.
    `UndirectedGraph` | `createUndirectedGraph(int VertexNr, int EdgeNr)` Vyrobí neorientovaný graf.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FollowerArrayGraphFactory

          public FollowerArrayGraphFactory()

  - ### Method Detail

    - #### createDirectedGraph

          public DirectedGraph createDirectedGraph(int VertexNr,
                                                   int EdgeNr)

      Description copied from interface: `DirectedGraphFactory`
      Vyrobí orientovaný graf.
      Specified by:
        `createDirectedGraph` in interface `DirectedGraphFactory`
      Parameters:
        `VertexNr` - maximální možný počet vrcholů v grafu
        `EdgeNr` - maximální možný počet hran v grafu
      Returns:
        orientovaný graf

    - #### createUndirectedGraph

          public UndirectedGraph createUndirectedGraph(int VertexNr,
                                                       int EdgeNr)

      Description copied from interface: `UndirectedGraphFactory`
      Vyrobí neorientovaný graf.
      Specified by:
        `createUndirectedGraph` in interface `UndirectedGraphFactory`
      Parameters:
        `VertexNr` - maximální možný počet vrcholů v grafu
        `EdgeNr` - maximální možný počet hran v grafu
      Returns:
        neorientovaný graf